Bug 36645 - add code to launch J2EE Debugger
add code to launch J2EE Debugger
Status: RESOLVED FIXED
Product: serverplugins
Classification: Unclassified
Component: Infrastructure
3.x
Sun SunOS
: P1 (vote)
: 4.x
Assigned To: issues@serverplugins
issues@serverplugins
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-16 16:00 UTC by David Weatherford
Modified: 2006-06-05 00:38 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
proposed patch (6.98 KB, patch)
2003-10-16 16:01 UTC, David Weatherford
Details | Diff
DebuggerInfoFactory.java (305 bytes, text/plain)
2003-10-16 16:09 UTC, David Weatherford
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Weatherford 2003-10-16 16:00:24 UTC
For the Arrow release, we are adding a new
debugger type for J2EE apps.  The current
architecture of j2eeserver is flawed in that
it assumes it will always use RemoteDebuggerInfo,
and not a subclass of RemoteDebuggerInfo.

The proposed patch adds code that allows the
J2EEDebuggerType to launch the J2EEDebugger
using j2eeserver.

This fix is critical for Arrow.
Comment 1 David Weatherford 2003-10-16 16:01:29 UTC
Created attachment 11887 [details]
proposed patch
Comment 2 David Weatherford 2003-10-16 16:03:00 UTC
The original proposal can be found at
http://sundww.sfbay/Arrow/StartingJ2EEDebugger.html
Comment 3 David Weatherford 2003-10-16 16:09:28 UTC
Created attachment 11889 [details]
DebuggerInfoFactory.java
Comment 4 David Weatherford 2003-10-22 19:35:36 UTC
Tonda Nebuzelsky integrated patch to nevadafixes (IN=16360)
and release351A (IN=16584).
Comment 5 Antonin Nebuzelsky 2003-11-04 14:54:42 UTC
Fixed in Nevada Patch 1 and in Arrow.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo